Page MenuHomePhabricator

FormatMetadata::fetchExtendedMetadata() returns invalid metadata keys
Closed, ResolvedPublic

Description

Tons of errors being logged like this:

2015-04-28 20:31:11 mw1233 commonswiki exception INFO: [820de11b] /w/api.php?titles=File%3AFlag_of_the_Dominican_Republic.svg&iiprop=timestamp%7Cuser%7Ccomment%7Curl%7Csize%7Csha1%7Cmetadata%7Cmime%7Cmediatype%7Cextmetadata&prop=imageinfo&iimetadataversion=2&iiextmetadatamultilang=1&format=json&action=query&redirects=true&uselang=ko   UnexpectedValueException from line 957 of /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php: Unknown type 'lang'
#0 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#1 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#2 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#3 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#4 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#5 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#6 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#7 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(860): ApiResult::applyTransformations()
#8 /srv/mediawiki/php-1.26wmf3/includes/api/ApiResult.php(244): ApiResult::applyTransformations()
#9 /srv/mediawiki/php-1.26wmf3/includes/api/ApiFormatJson.php(97): ApiResult->getResultData()
#10 /srv/mediawiki/php-1.26wmf3/includes/api/ApiMain.php(1250): ApiFormatJson->execute()
#11 /srv/mediawiki/php-1.26wmf3/includes/api/ApiMain.php(1108): ApiMain->printResult()
#12 /srv/mediawiki/php-1.26wmf3/includes/api/ApiMain.php(436): ApiMain->executeAction()
#13 /srv/mediawiki/php-1.26wmf3/includes/api/ApiMain.php(409): ApiMain->executeActionWithErrorHandling()
#14 /srv/mediawiki/php-1.26wmf3/api.php(90): ApiMain->execute()
#15 /srv/mediawiki/w/api.php(3): include()
#16 {main} {"private":false}

Event Timeline

Anomie created this task.Apr 28 2015, 8:31 PM
Anomie updated the task description. (Show Details)
Anomie raised the priority of this task from to Unbreak Now!.
Anomie claimed this task.
Anomie added a subscriber: Anomie.
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 28 2015, 8:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 207272 had a related patch set uploaded (by Anomie):
Protect API metadata keys from FormatMetadata::fetchExtendedMetadata()

https://gerrit.wikimedia.org/r/207272

Anomie set Security to None.
Ireas added a subscriber: Ireas.Apr 28 2015, 8:46 PM

Change 207274 had a related patch set uploaded (by Anomie):
Protect API metadata keys from FormatMetadata::fetchExtendedMetadata()

https://gerrit.wikimedia.org/r/207274

Change 207272 merged by jenkins-bot:
Protect API metadata keys from FormatMetadata::fetchExtendedMetadata()

https://gerrit.wikimedia.org/r/207272

Change 207275 had a related patch set uploaded (by Legoktm):
Protect API metadata keys from FormatMetadata::fetchExtendedMetadata()

https://gerrit.wikimedia.org/r/207275

Change 207274 merged by jenkins-bot:
Protect API metadata keys from FormatMetadata::fetchExtendedMetadata()

https://gerrit.wikimedia.org/r/207274

Code is fixed now, but there are probably still broken memc entries (prefix "commonswiki:getExtendedMetadata:") with expiry up to 30 days.

Change 207279 had a related patch set uploaded (by Anomie):
Hook 'ValidateExtendedMetadataCache' for T97469

https://gerrit.wikimedia.org/r/207279

Change 207275 merged by jenkins-bot:
Protect API metadata keys from FormatMetadata::fetchExtendedMetadata()

https://gerrit.wikimedia.org/r/207275

Change 207279 merged by jenkins-bot:
Hook 'ValidateExtendedMetadataCache' for T97469

https://gerrit.wikimedia.org/r/207279

Anomie closed this task as Resolved.Apr 28 2015, 9:33 PM

All fixed now.

Change 207769 had a related patch set uploaded (by Anomie):
Bump timestamp in 'ValidateExtendedMetadataCache' hook for T97469

https://gerrit.wikimedia.org/r/207769

Change 207769 merged by jenkins-bot:
Bump timestamp in 'ValidateExtendedMetadataCache' hook for T97469

https://gerrit.wikimedia.org/r/207769

Restricted Application added a project: Commons. · View Herald TranscriptJun 7 2017, 2:58 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald Transcript